import { Metadata } from "next";
import "./globals.css";
import "@rainbow-me/rainbowkit/styles.css";
import { Providers } from "./providers";
import { TooltipProvider } from "@/components/ui/tooltip";
import { Toaster } from "@/components/ui/toaster";

export const metadata: Metadata = {
  title: "Frame Debugger",
  description: "Help identify and fix issues with your frames",
};

export default function RootLayout({
  children,
}: {
  children: React.ReactNode;
}): JSX.Element {
  return (
    <html lang="en">
      <body>
        <TooltipProvider>
          <Providers>{children}</Providers>
        </TooltipProvider>
        <Toaster></Toaster>
      </body>
    </html>
  );
}
